#include "main.h"

int main(){
    if(mylog_init()!=0){
       my_zlog_error("日志初始化失败，错误代码：%d",mylog_init());
       return -1;
    }

    if(device_id_file_init()!=0){
       my_zlog_error("设备id读取失败");
       return -2;
    }

    if(device_mqtt_topic_init()!=0){
    my_zlog_error("mqtt的topic读取失败");
       return -2;
    }

    my_zlog_info("程序关闭成功");
    my_log_close();//关闭日志
    return 0;

}